nxt.ms

## Class CurrencyTransfer

- java.lang.Object
- - nxt.ms.CurrencyTransfer

-     public final class CurrencyTransfer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CurrencyTransfer.Event`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<CurrencyTransfer> listener, CurrencyTransfer.Event eventType)`
    `static DbIterator<CurrencyTransfer>` | `getAccountCurrencyTransfers(long accountId, int from, int to)`
    `static DbIterator<CurrencyTransfer>` | `getAccountCurrencyTransfers(long accountId, long currencyId, int from, int to)`
    `static DbIterator<CurrencyTransfer>` | `getAllTransfers(int from, int to)`
    `int` | `getChainId()`
    `static int` | `getCount()`
    `long` | `getCurrencyId()`
    `static DbIterator<CurrencyTransfer>` | `getCurrencyTransfers(long currencyId, int from, int to)`
    `byte[]` | `getFullHash()`
    `int` | `getHeight()`
    `long` | `getId()`
    `long` | `getRecipientId()`
    `long` | `getSenderId()`
    `int` | `getTimestamp()`
    `static int` | `getTransferCount(long currencyId)`
    `long` | `getUnitsQNT()`
    `static void` | `init()`
    `static boolean` | `removeListener(Listener<CurrencyTransfer> listener, CurrencyTransfer.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAllTransfers

          public static DbIterator<CurrencyTransfer> getAllTransfers(int from,
                                                                     int to)

    - #### getCount

          public static int getCount()

    - #### addListener

          public static boolean addListener(Listener<CurrencyTransfer> listener,
                                            CurrencyTransfer.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<CurrencyTransfer> listener,
                                               CurrencyTransfer.Event eventType)

    - #### getCurrencyTransfers

          public static DbIterator<CurrencyTransfer> getCurrencyTransfers(long currencyId,
                                                                          int from,
                                                                          int to)

    - #### getAccountCurrencyTransfers

          public static DbIterator<CurrencyTransfer> getAccountCurrencyTransfers(long accountId,
                                                                                 int from,
                                                                                 int to)

    - #### getAccountCurrencyTransfers

          public static DbIterator<CurrencyTransfer> getAccountCurrencyTransfers(long accountId,
                                                                                 long currencyId,
                                                                                 int from,
                                                                                 int to)

    - #### getTransferCount

          public static int getTransferCount(long currencyId)

    - #### init

          public static void init()

    - #### getId

          public long getId()

    - #### getFullHash

          public byte[] getFullHash()

    - #### getChainId

          public int getChainId()

    - #### getCurrencyId

          public long getCurrencyId()

    - #### getSenderId

          public long getSenderId()

    - #### getRecipientId

          public long getRecipientId()

    - #### getUnitsQNT

          public long getUnitsQNT()

    - #### getTimestamp

          public int getTimestamp()

    - #### getHeight

          public int getHeight()